/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2019/10/15
* Description        : Main program body.
*******************************************************************************/

/*
*@Note
PD01ŵʹ
PD0PD1ⲿŵӳעʹʹΪͨGPIOʹʱʹⲿҪʹڲ
*/

#include "debug.h"

//#define in  1
#define out 0

/*******************************************************************************
* Function Name  : GPIO_Toggle_INIT
* Description    : Initializes GPIOA.0
* Input          : None
* Return         : None
*******************************************************************************/
void GPIO_Toggle_INIT(void)
{
  GPIO_InitTypeDef  GPIO_InitStructure;

  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOD,ENABLE);
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_AFIO,ENABLE);
  GPIO_PinRemapConfig(GPIO_Remap_PD01,ENABLE);

#ifdef out
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(GPIOD, &GPIO_InitStructure);

  GPIO_SetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOD, GPIO_Pin_1);

#elif  in
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPD;
  GPIO_Init(GPIOD, &GPIO_InitStructure);
#endif
}

/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
    USART_Printf_Init(115200);
    GPIO_Toggle_INIT();
    printf("SystemClk:%d\r\n",SystemCoreClock);
    printf("GPIO Toggle TEST\r\n");

    while(1)
  {
#ifdef out
        GPIO_ResetBits(GPIOD, GPIO_Pin_0);
        GPIO_ResetBits(GPIOD, GPIO_Pin_1);
        printf("111111\r\n");
        Delay_Ms(500);

        GPIO_SetBits(GPIOD, GPIO_Pin_0);
        GPIO_SetBits(GPIOD, GPIO_Pin_1);
        printf("222222\r\n");
        Delay_Ms(500);

#elif  in
          if((GPIO_ReadInputDataBit(GPIOD,GPIO_Pin_0)==1)||(GPIO_ReadInputDataBit(GPIOD,GPIO_Pin_1)==1))
          {
               printf("up\r\n");
                 Delay_Ms(500);
        }
          else
          {
             printf("down\r\n");
                 Delay_Ms(500);
        }
#endif
    }
}



